Generate content package
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/generate-content-package \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"industry": "<string>",
"benefit": "<string>",
"topic": "<string>"
},
"tone": "professional",
"format": "<string>"
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/generate-content-package"
payload = {
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"industry": "<string>",
"benefit": "<string>",
"topic": "<string>"
},
"tone": "professional",
"format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
brand: '<string>',
product: '<string>',
audience: '<string>',
industry: '<string>',
benefit: '<string>',
topic: '<string>'
},
tone: 'professional',
format: '<string>'
})
};
fetch('https://api.kynva.ai/api/v1/ai/generate-content-package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}AI
Generate content package
Generate a complete content package (headline, subheadline, CTA) in one call
POST
/
api
/
v1
/
ai
/
generate-content-package
Generate content package
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
⌘I